body {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  min-height: 100vh;
  margin: 0;
}

.settings-menu {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  z-index: 99;
  background-color: #fff;
  padding: 20px;
  box-sizing: border-box;
  transform: translateY(calc(100% - 300px));
  transition: transform 0.3s ease-in-out;
  text-align: left;
  font-family: Roboto, sans-serif;
}

.visible {
  transform: translateY(0) !important;
}

.row-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 30px 40px 90px 40px;
  border-top: 2px solid #bebebe;
}

.row {
  display: flex;
  justify-content: space-between;
  align-items: center;
  justify-content: center;
  width: 100%;
  margin: 3vw 0;
  padding: 0 40px;
}

.row:first-child {
  margin-top: -10vw;
  margin-bottom: 2vw;
  justify-content: center;
}

.row:first-child .icon-button {
  padding: 22px;
  font-size: 1em;
}

.search-bar {
  display: flex;
  align-items: center;
  width: 100%;
  background-color: #f1f1f1;
  border-radius: 30px;
  /* margin: 0 5%; */
  padding: 25px 45px;
}

.search-bar input {
  flex: 1;
  border: none;
  background-color: transparent;
  padding: 5px;
  font-size: 5vw;
}

.search-bar button {
  background-color: transparent;
  border: none;
  cursor: pointer;
  transition: transform 0.3s ease;
}

.search-bar button.active i::before {
  content: "\f00d";
  /* Unicode for the cross/X icon */
}

.search-bar i {
  font-size: var(--base-font-size);
  color: #333;
}

.setting-title {
  flex: 1;
  /* padding-left: 60px; */
  /* font-size: 18px;
  font-weight: bold; */
}

.icon-button {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 60px;
  height: 60px;
  margin: 0 15px;
  background-color: #f1f1f1;
  border-radius: 50%;
  cursor: pointer;
  transition: background-color 0.3s ease;
  padding: 30px;
}

.icon-button:hover {
  background-color: #e0e0e0;
}

.icon-button i {
  /* font-size: 28px; */
  color: #333;
}


#travel-mode>.icon-button.enabled,
#travel-mode>.icon-button.enabled>i {
  color: white;
  background-color: var(--blue);
}

/* -------------- GOOGLE SEARCH INPUT AND RESULTS ----------------------- */

#search-input:not(:placeholder-shown)+.clear-icon {
  display: block;
  /* Show the icon when input has a value */
}

#search-place {
  position: relative;
  width: 100%;
  z-index: 5;
}

#search-input {
  /* width: 100%;
  padding: 30px 50px;
  font-size: 5vw;
  text-align: center;
  box-sizing: border-box;
  border-bottom: var(--white) solid 1px;
  border-right: var(--white) solid 1px;
  border-top: var(--white) solid 1px;
  border-left: var(--white) solid 1px;
  border-radius: 130px;
  border-radius: var(--border-radius); 
  opacity: 1;
  transition: opacity ease-in-out 1s;*/
}

#search-input::placeholder {
  color: #999;
  /* Set the placeholder text color */
}

#search-input:focus-visible {
  border-bottom: var(--blue) solid 1px;
  border-right: var(--blue) solid 1px;
  border-top: var(--blue) solid 1px;
  border-left: var(--blue) solid 1px;
}

#search-input:focus::placeholder {
  color: transparent;
  /* Hide the placeholder text when input is focused */
}

#search-input:not(:placeholder-shown)+.clear-icon {
  display: block;
  /* Show the icon when input has a value */
}

.clear-icon {
  position: absolute;
  top: 50%;
  right: 45px;
  transform: translateY(-50%);
  cursor: pointer;
  color: var(--dark-grey);
  /* Adjust color as needed */
  /* display: none; Hide the icon initially */
  background: white;
  box-shadow: -20px 0 10px -20px rgba(255, 255, 255, 1);
  -webkit-box-shadow: -20px 0 10px -20px rgba(255, 255, 255, 1);
  padding: 10px;
}

.pac-container {
  position: absolute;
  z-index: 100;
  left: 0;
  transform: translateY(-125%);

  width: 100%;
  background-color: #fff;
  box-shadow: none;
  border-radius: var(--border-radius);
  padding: 20px;
  border-bottom: var(--grey) solid 2px;
  border-right: var(--grey) solid 2px;
  border-top: var(--grey) solid 2px;
  border-left: var(--grey) solid 2px;
}

.pac-container .pac-item {
  padding: 5%;
  font-size: 3vw;
}

.pac-container .pac-item:hover {
  background-color: #f0f0f0;
}

.pac-icon {
  display: none;
}

/* Main Text Element */
.pac-item-query {
  font-size: var(--base-font-size);
  margin-right: 10px;
}

/* Secondary Text Element */
.pac-item-query-secondary {}

.pac-separator {
  background-color: var(--blue);
  color: var(--blue);
  display: none;
  width: 90%;
}

.pac-separator:first-child {
  display: none;
}